activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Henrik Karlsson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQ-3914) Add support for MS SQL JDBC driver 4.0
Date Wed, 05 Sep 2012 15:11:07 GMT

    [ https://issues.apache.org/jira/browse/AMQ-3914?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13448812#comment-13448812
] 

Henrik Karlsson commented on AMQ-3914:
--------------------------------------

Now I run activemq with this broker config:
{noformat}
  <broker useJmx="false" brokerName="jdbcBroker" xmlns="http://activemq.apache.org/schema/core">
    <persistenceAdapter>
		<jdbcPersistenceAdapter dataDirectory="${activemq.base}/data" dataSource="#mssql-ds"
createTablesOnStartup="false">
			<adapter>
				<transact-jdbc-adapter />
			</adapter>
			<databaseLocker>
				<transact-database-locker/>
			</databaseLocker>			
		</jdbcPersistenceAdapter>
    </persistenceAdapter>

    <transportConnectors>
       <transportConnector name="default" uri="tcp://0.0.0.0:61616"/>
    </transportConnectors>
  </broker>

{noformat}
And it seems to be working just fine. I also added <databaseLocker/> to get this message
to go away
INFO   | jvm 1    | 2012/09/05 16:12:27 |  INFO | Database lock driver override not found
for : [microsoft_jdbc_driver_4_0_for_sql_server].  Will use default implementation.

                
> Add support for MS SQL JDBC driver 4.0
> --------------------------------------
>
>                 Key: AMQ-3914
>                 URL: https://issues.apache.org/jira/browse/AMQ-3914
>             Project: ActiveMQ
>          Issue Type: Improvement
>          Components: Message Store
>    Affects Versions: 5.5.1
>            Reporter: Henrik Karlsson
>            Priority: Minor
>
> When using MS SQL JDBC Driver version 4.0 ActiveMQ can't find a "Database adapter driver
override" as it does with version 3.0 of the driver.
> Version 4.0
> {noformat}
> 2012-07-06 09:50:33,639 | INFO  | Database adapter driver override not found for : [microsoft_jdbc_driver_4_0_for_sql_server].
 Will use default implementation. | org.apache.activemq.store.jdbc.JDBCPersistenceAdapter
| WrapperSimpleAppMain
> 2012-07-06 09:50:33,639 | INFO  | Database lock driver override not found for : [microsoft_jdbc_driver_4_0_for_sql_server].
 Will use default implementation. | org.apache.activemq.store.jdbc.JDBCPersistenceAdapter
| WrapperSimpleAppMain
> {noformat}
> Version 3.0
> {noformat}
> 2012-07-06 10:09:37,322 | INFO  | Database adapter driver override recognized for : [microsoft_sql_server_jdbc_driver_3_0]
- adapter: class org.apache.activemq.store.jdbc.adapter.TransactJDBCAdapter | org.apache.activemq.store.jdbc.JDBCPersistenceAdapter
| WrapperSimpleAppMain
> 2012-07-06 10:09:37,322 | INFO  | Database lock driver override recognized for : [microsoft_sql_server_jdbc_driver_3_0]
- adapter: class org.apache.activemq.store.jdbc.adapter.TransactDatabaseLocker | org.apache.activemq.store.jdbc.JDBCPersistenceAdapter
| WrapperSimpleAppMain
> {noformat}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message